[PC-BSD Commits] r5628 - in pcbsd/trunk/mfsroot-overlay: . etc
svn at pcbsd.org
svn at pcbsd.org
Wed Dec 16 07:08:02 PST 2009
Author: kris
Date: 2009-12-16 07:08:02 -0800 (Wed, 16 Dec 2009)
New Revision: 5628
Added:
pcbsd/trunk/mfsroot-overlay/media/
Modified:
pcbsd/trunk/mfsroot-overlay/etc/pcbsd-rc.sh
Log:
Added /media dir, for KDE4 auto-mounting in LIVE mode, also removed integrity check when doing
LIVE mode
Modified: pcbsd/trunk/mfsroot-overlay/etc/pcbsd-rc.sh
===================================================================
--- pcbsd/trunk/mfsroot-overlay/etc/pcbsd-rc.sh 2009-12-16 14:48:27 UTC (rev 5627)
+++ pcbsd/trunk/mfsroot-overlay/etc/pcbsd-rc.sh 2009-12-16 15:08:02 UTC (rev 5628)
@@ -134,23 +134,6 @@
echo "Found PCBSD image on: ${CDDEV}"
fi
-# Run integrity checks
-/etc/IntegrityCheck.sh
-if [ "$?" != "0" ]
-then
- echo "One or more integrity checks failed. This can indicate a corrupt
-installation medium. Please reburn your CD and check the md5 of your ISO
-against the md5 displayed on the PC-BSD site. To reboot press ENTER.
-To continue at your own peril type 'continue': "
- read integrityResponse
- if [ "$integrityResponse" != "continue" ]
- then
- /sbin/reboot
- fi
-fi
-
-MEM=`sysctl hw.realmem | cut -d " " -f 2`
-
# Check if we are booting in LIVE or INSTALL mode
bootlive="NO"
l=`/bin/kenv boot_livedvd 2>/dev/null`
@@ -163,9 +146,30 @@
if [ "$bootlive" = "YES" -a -e "/cdmnt/PCBSD.ufs.uzip" ]
then
+
+ MEM=`sysctl hw.realmem | cut -d " " -f 2`
+
# We are running in LIVE mode
sh /etc/SetupLive.sh
+
else
+
+ # Run integrity checks
+ /etc/IntegrityCheck.sh
+ if [ "$?" != "0" ]
+ then
+ echo "One or more integrity checks failed. This can indicate a corrupt
+installation medium. Please reburn your CD and check the md5 of your ISO
+against the md5 displayed on the PC-BSD site. To reboot press ENTER.
+To continue at your own peril type 'continue': "
+ read integrityResponse
+ if [ "$integrityResponse" != "continue" ]
+ then
+ /sbin/reboot
+ fi
+ fi
+
# We are running a regular Install
sh /etc/SetupInstall.sh
+
fi
More information about the Commits
mailing list